import React from 'react';
import { Anchor } from './utils/types';
export declare type InfoWindowProps = React.PropsWithChildren<{
    position: number[];
    visible: boolean;
    isCustom?: boolean;
    content?: string;
    autoMove?: boolean;
    avoid?: number;
    closeWhenClickMap?: boolean;
    size?: number[];
    offset?: number[];
    anchor?: Anchor;
    onOpen?(): void;
    onClose?(): void;
    className?: string;
    style?: React.CSSProperties;
}>;
declare const InfoWindow: React.ForwardRefExoticComponent<{
    position: number[];
    visible: boolean;
    isCustom?: boolean | undefined;
    content?: string | undefined;
    autoMove?: boolean | undefined;
    avoid?: number | undefined;
    closeWhenClickMap?: boolean | undefined;
    size?: number[] | undefined;
    offset?: number[] | undefined;
    anchor?: "top-left" | "top-center" | "top-right" | "middle-left" | "center" | "middle-right" | "bottom-left" | "bottom-center" | "bottom-right" | undefined;
    onOpen?(): void;
    onClose?(): void;
    className?: string | undefined;
    style?: React.CSSProperties | undefined;
} & {
    children?: React.ReactNode;
} & React.RefAttributes<AMap.InfoWindow | undefined>>;
export default InfoWindow;
