import { BaseProps } from './base';
import { OpacityProps } from './opacity';
import { VisibleProps } from './visible';
import { ZIndexProps } from './z-index';
import { ZoomsProps } from './zooms';
declare type WorldLayer = InstanceType<typeof AMap.DistrictLayer.World>;
declare type CountryLayer = InstanceType<typeof AMap.DistrictLayer.Country>;
declare type ProvinceLayer = InstanceType<typeof AMap.DistrictLayer.Province>;
declare type DistrictLayerType = WorldLayer | CountryLayer | ProvinceLayer;
export declare type BaseDistrictLayerProps<C extends DistrictLayerType> = BaseProps<C> & VisibleProps<C> & ZIndexProps<C> & OpacityProps<C> & ZoomsProps<C> & {
    styles?: AMap.DistrictLayerStyle;
};
export default function useBaseDistrictLayer<C extends DistrictLayerType>(target: C | undefined, props: BaseDistrictLayerProps<C>): void;
export declare type DepthProps<C extends DistrictLayerType> = {
    depth?: number;
};
export declare function useDepth<C extends DistrictLayerType>(target: C | undefined, props: DepthProps<C>): void;
export {};
