import React from 'react';
import { BaseControlProps, ControlPositionType } from './hooks/advanced/control';
declare type AmapHawkEye = any;
export declare type HawkEyeProps = BaseControlProps<AmapHawkEye> & {
    offset?: Vector2;
    position?: ControlPositionType;
    isOpen?: boolean;
    autoMove?: boolean;
    showRectangle?: boolean;
    showButton?: boolean;
    mapStyle?: boolean;
    layers?: string[];
    width?: string;
    height?: string;
    borderStyle?: string;
    borderColor?: string;
    borderRadius?: string;
    borderWidth?: string;
    buttonSize?: string;
};
declare const HawkEye: React.ForwardRefExoticComponent<import("./hooks/common/base").BaseProps<any> & import("./hooks/common/visible").VisibleProps<any> & {
    onShow?: import("./hooks/events").EventHandler<any, unknown> | undefined;
    onHide?: import("./hooks/events").EventHandler<any, unknown> | undefined;
} & {
    children?: React.ReactNode;
} & {
    offset?: number[] | [number, number] | undefined;
    position?: "LT" | "RT" | "LB" | "RB" | Partial<{
        left: React.ReactText;
        top: React.ReactText;
        right: React.ReactText;
        bottom: React.ReactText;
    }> | undefined;
    isOpen?: boolean | undefined;
    autoMove?: boolean | undefined;
    showRectangle?: boolean | undefined;
    showButton?: boolean | undefined;
    mapStyle?: boolean | undefined;
    layers?: string[] | undefined;
    width?: string | undefined;
    height?: string | undefined;
    borderStyle?: string | undefined;
    borderColor?: string | undefined;
    borderRadius?: string | undefined;
    borderWidth?: string | undefined;
    buttonSize?: string | undefined;
} & React.RefAttributes<any>>;
export default HawkEye;
