import { VisibleProps } from './visible';
import { ZIndexProps } from './z-index';
import { BubbleProps } from './bubble';
import { ClickableProps } from './clickable';
import { DraggableProps } from './draggable';
import { MouseProps } from './mouse';
import { TouchProps } from './touch';
import { EventTarget } from '../events';
import { CursorProps } from './cursor';
import { BaseProps } from './base';
export declare type OverlayProps<C extends EventTarget> = BaseProps<C> & VisibleProps<C> & ZIndexProps<C> & BubbleProps<C> & CursorProps<C> & ClickableProps<C> & DraggableProps<C> & MouseProps<C> & TouchProps<C> & {};
export default function useOverlay<C extends EventTarget>(target: C | undefined, props: OverlayProps<C>): void;
